Subject: Re: linux-next: v4l-dvb tree build failure

From: Mauro Carvalho Chehab <[email-masked]>
Date: Tue, 2 Dec 2008 08:03:02 -0200

On Tue, 2 Dec 2008 10:37:41 +1100
Stephen Rothwell <[email-masked]> wrote:

> Hi Mauro,
> 
> Today's linux-next build (x86_64 allmodconfig) failed like this:
> 
> drivers/media/video/em28xx/em28xx-video.c: In function 'em28xx_supports_audio_extension':
> drivers/media/video/em28xx/em28xx-video.c:1966: error: 'EM28XX_NO_AUDIO' undeclared (first use in this function)
> drivers/media/video/em28xx/em28xx-video.c:1966: error: (Each undeclared identifier is reported only once
> drivers/media/video/em28xx/em28xx-video.c:1966: error: for each function it appears in.)
> drivers/media/video/em28xx/em28xx-video.c:1977: error: 'EM28XX_AC97' undeclared (first use in this function)
> drivers/media/video/em28xx/em28xx-video.c:1981: error: 'EM28XX_I2S_3_SAMPLE_RATES' undeclared (first use in this function)
> drivers/media/video/em28xx/em28xx-video.c:1985: error: 'EM28XX_I2S_5_SAMPLE_RATES' undeclared (first use in this function)
> 
> I have dropped the v4l-dvb tree again today.

I suspect you've pulled from my tree while I was testing it, or before my last
update yesterday night. Anyway, I've re-merged my patches at my linux-next and
tested. Everything seems to be ok now.

Cheers,
Mauro